/* Font Declaration */
.font-48px {
    font-size: 3.0519rem;
    text-transform: capitalize;
}

.font-39px{
    font-size: 2.4413rem;
    text-transform: capitalize;
}

.font-31px{
    font-size: 1.9531rem;
}

.font-25px{
    font-size: 1.5625rem;
}

.font-20px{
    font-size: 1.25rem;
}

.font-16px {
    font-size: 1rem !important;
    line-height: 150%;
}

.font-13px {
    font-style: normal;
    font-size: 0.8rem;
}

.questions-card{
    border: 1px solid #0E4D92;
    border-radius: 8px;
}

.questions > button:before {
    float: right !important;
    font-family: FontAwesome;
    content:"\f068";
    padding-right: 5px;
}
.questions > button.collapsed:before {
    float: right !important;
    content:"\f067";
}

.questions-icon{
    color: #0391DF;
}

.questions-description{
    white-space: pre-line;
}

/* Header */
header {
    background: linear-gradient(to right, rgb(3, 145, 223), rgb(25, 171, 252)) !important;
}

.header-class-name {
    margin-bottom: 4px;
}

.header-play {
    width: fit-content;
    height: fit-content;
    padding: 0;
    border-radius: 50%;
    top: 35%;
    left: 42%;
    position: absolute;
}

.page-header {
    padding-bottom: 44px;
}

.header-btn-share {
    padding: 8px 16px;
}

.header-title {
    margin-bottom: 15px;
}

.header-description {
    display: -webkit-box;
    -webkit-line-clamp: 2; /* Menentukan batas jumlah baris */
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.header-rating-title {
    margin-bottom: 4px;
}

.header-rating-icon {
    margin-right: 8px;
    font-size: 25px;
}

.header-rating-container {
    margin-bottom: 50px;
}

.header-discount {
    text-decoration: line-through;
    margin-bottom: 10px;
}

.header-price {
    margin-bottom: 15px;
}

.header-buy {
    margin-right: 16px;
    width: fit-content;
}

.header-desc-container.active {
    height: 38vh;
    overflow: visible;
}

.header-gift {
    width: 55%;
}

.header-1year {
    margin-bottom: 40px;
}

.header-overlay-container {
    width: 100%;
    height: auto;
    position: relative;
}

.header-overlay-img {
    width: 100%;
    height: 420px;
    display: block;
    object-fit: cover;
    object-position: center;
}

.header-overlay-content {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: fit-content;
    display: flex;
    padding: 16px;
    background-color: rgba(14, 77, 146, 0.85)
}

header .course-icon {
    color: #0e4d92;
    border-radius: 50%;
    border: 1px solid #bfbfbf;
    padding: 8px;
}


/* Trending */
#trending {
    background: url(../../../assets/img/home/cta2-bg.jpg) no-repeat center center;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    padding: 48px 0;
    margin-top: 80px;
}

.course-card img {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.course-card .fas {
    color: #0e4d92;
    border-radius: 50%;
    border: 1px solid #bfbfbf;
    padding: 8px;
}

.course-card .btn-link {
    color: #fd6a02;
}
/* Trending */

/* Mentor Information */
#mentorInformation {
    padding-top: 56px;
}

.mentorInformation-description {
    margin-bottom: 64px;
}

.mentorInformation-card {
    padding: 50px 80px 50px 50px;
}

.mentorInformation-class-name {
    margin-bottom: 10px;
}

.mentorInformation-class-description {
    margin-bottom: 40px;
}

.mentorInformation-img {
    width: 314px;
    height: 346px;
    object-fit: cover;
    object-position: center;
    margin-left: -85px;
    margin-top: -65px;
    border: 1px solid var(--primary);
}

.mentorInformation-divider {
    border: 1px solid black;
    margin-top: 44px;
    margin-bottom: 0;
}


/* Kurikulum */
#kurikulum {
    margin-top: 56px;
}

.kurikulum-title {
    margin-bottom: 64px;
}

.kurikulum-accordion .card-header{
    padding: 20px;
}

.kurikulum-accordion .card-body {
    padding: 20px 20px 20px 20px;
}

.kurikulum-card-title {
    margin-bottom: 10px;
}

.kurikulum-card-needs {
    padding-left: 40px;
    padding-right: 40px;
}

.kurikulum-container-wireframe {
    width: 60px;
    height: 60px;
    margin-right: 15px;
}

.kurikulum-needs-title {
    margin-bottom: 17px;
}

.kurikulum-needs-container {
    margin-bottom: 20px;
}

.kurikulum-needs-subtitle {
    margin-bottom: 10px;
}

/* Testimony */
#testimony {
    background-color: #e5dbdb38;
    padding-top: 56px;
    padding-bottom: 56px;
    margin-top: 56px;
}

.testimony-name {
    margin-bottom: 4px;
}

.testimony-title {
    margin-bottom: 64px;
}

.testimony-city {
    margin-bottom: 40px;
}

.testimony-carousel-arrow {
    opacity: 0;
    transition: all ease 250ms;
}

.testimony-carousel-container:hover .testimony-carousel-arrow {
    opacity: 1;
}

.testimony-arrow {
    cursor: pointer;
}
/* FAQ */
#faq {
    margin-top: 56px;
}

.faq-divider {
    margin-top: 20px;
    margin-bottom: 20px;
}

/* Promo Carousel */
#promoCarousel {
    margin-top: 56px;
}

.promoCarousel-img {
    width: 80vw;
    height: 70vh;
    object-fit: cover;
    object-fit: cover;
    object-position: center;
}

/* Our Mentor */
#ourMentor {
    margin-top: 56px;
}

#mentor-carousel .slick-slide {
    width: 45vw;
    margin: 0 16px;
}

.ourmentor-img {
    width: 290px;
    height: 384px;
    object-fit: cover;
}
/* End Our Mentor */

@media (max-width: 767.98px) {

    /* Header */
    .page-header {
        padding-top: 6rem;
    }

    .header-overlay-img {
        height: 280px;
    }

    .font-39px {
        font-size: 1.602rem;
    }

    .mentorInformation-card {
        padding: 0px;
    }

    .mentorInformation-img {
        width: 100%;
        height: 220px;
        object-fit: cover;
        object-position: center;
        margin-left: 0;
        margin-top: 0;
        border: 0;
    }
    /* End Header */
}


@media (min-width: 768px) and (max-width: 997.98px) {

    .mentorInformation-card {
        padding: 0px;
    }

    .mentorInformation-img {
        width: 100%;
        height: 220px;
        object-fit: cover;
        object-position: center;
        margin-left: 0;
        margin-top: 0;
        border: 0;
    }

}
